FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202107292319.p0.git.32653a9.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202107292319.p0.git.32653a9.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=32653a9 OS_GIT_VERSION=4.7.0-202107292319.p0.git.32653a9.assembly.stream-32653a9 SOURCE_DATE_EPOCH=1612528728 SOURCE_GIT_COMMIT=32653a9e89ee9b2ea17f6d8a3e43ce987d722b57 SOURCE_GIT_TAG=openshift-enterprise-cluster-capacity-3.10.80-1-113-g32653a9e8 SOURCE_GIT_URL=https://github.com/openshift/cluster-capacity 
WORKDIR /go/src/sigs.k8s.io/cluster-capacity
COPY . .
RUN go build -o hypercc ./cmd/hypercc

FROM openshift/ose-base:v4.7.0.20210729.233329
ENV __doozer=update BUILD_RELEASE=202107292319.p0.git.32653a9.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202107292319.p0.git.32653a9.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=32653a9 OS_GIT_VERSION=4.7.0-202107292319.p0.git.32653a9.assembly.stream-32653a9 SOURCE_DATE_EPOCH=1612528728 SOURCE_GIT_COMMIT=32653a9e89ee9b2ea17f6d8a3e43ce987d722b57 SOURCE_GIT_TAG=openshift-enterprise-cluster-capacity-3.10.80-1-113-g32653a9e8 SOURCE_GIT_URL=https://github.com/openshift/cluster-capacity 
COPY --from=builder /go/src/sigs.k8s.io/cluster-capacity/hypercc /usr/bin/
RUN ln -sf /usr/bin/hypercc /usr/bin/cluster-capacity
RUN ln -sf /usr/bin/hypercc /usr/bin/genpod
CMD ["/usr/bin/cluster-capacity", "--help"]

LABEL \
        License="GPLv2+" \
        io.k8s.description="This is a component of OpenShift Container Platform and runs Cluster Capacity analysis tool." \
        io.k8s.display-name="OpenShift Container Platform Cluster Capacity" \
        io.openshift.tags="openshift,cluster-capacity" \
        vendor="Red Hat" \
        summary="Framework that estimates a number of instances of a specified pod that would be scheduled in a cluster" \
        name="openshift/ose-cluster-capacity" \
        com.redhat.component="openshift-enterprise-cluster-capacity-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-scheduler" \
        release="202107292319.p0.git.32653a9.assembly.stream" \
        io.openshift.build.commit.id="32653a9e89ee9b2ea17f6d8a3e43ce987d722b57" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-capacity" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-capacity/commit/32653a9e89ee9b2ea17f6d8a3e43ce987d722b57" \
        version="v4.7.0"

